%define name gnomesword
%define version 2.3.3
%define release %mkrel 1

Summary:	Bible Study Software for Linux and the Gnome Desktop
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://dfn.dl.sourceforge.net/sourceforge/gnomesword/%{name}-%{version}.tar.gz
URL:		http://gnomesword.sourceforge.net
License:	GPLv2+
Group:		Text tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libgal-devel gtkhtml-3.14-devel
BuildRequires:	gnomeui2-devel libgnomeprintui-devel
BuildRequires:	aspell-devel sword-devel >= 1.5.10 ImageMagick
BuildRequires:  perl-XML-Parser
BuildRequires:  scrollkeeper
BuildRequires:  gnome-doc-utils desktop-file-utils
Requires: 	sword aspell 

%description
GnomeSword is a GNOME interface to the Sword Project 
(http://www.croswire.org/sword)

The SWORD Bible Framework allows easy manipulation of Bible texts, 
commentaries, lexicons, dictionaries, etc.

%prep
%setup -q

%build
%configure2_5x --enable-gtkhtml
%make

%install
rm -fr %buildroot
%makeinstall_std

desktop-file-install --vendor='' \
	--dir %buildroot%_datadir/applications/ \
	--remove-key='Encoding' \
	--remove-key='MultipleArgs' \
	--remove-category='Application' \
	--remove-category='Utility' \
	--remove-category='X-Red-Hat-Extra' \
	--add-category='GNOME;GTK;Literature;Education' \
	%buildroot%_datadir/applications/*.desktop

mkdir -p $RPM_BUILD_ROOT/{%{_liconsdir},%{_miconsdir}}
install pixmaps/gs2-48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -size 16x16 -resize 16x16 pixmaps/gs2-48x48.png %{buildroot}/%{_miconsdir}/%{name}.png
convert -size 32x32 -resize 32x32 pixmaps/gs2-48x48.png %{buildroot}/%{_iconsdir}/%{name}.png

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL  NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%exclude %{_defaultdocdir}/%{name}


%changelog
* Tue Mar 04 2008 Buchan Milne <bgmilne@mandriva.org> 2.3.3-1mdv2008.1
+ Revision: 178441
- New version 2.3.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Funda Wang <fundawang@mandriva.org> 2.3.1-1mdv2008.1
+ Revision: 116415
- br gnomeprintui
- BR gnomeui2
- BR gtkhtml-3.14
- build firefox rather than gtkhtml
- BR firefox-devel
- New version 2.3.1
- New version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sun Jan 28 2007 Buchan Milne <bgmilne@mandriva.org> 2.2.1-2mdv2007.0
+ Revision: 114572
- bump release
- New version 2.2.1

* Sun Nov 12 2006 Buchan Milne <bgmilne@mandriva.org> 2.1.7-4mdv2007.1
+ Revision: 83487
- bump release
- Fix command in xdg menu

* Wed Sep 06 2006 Buchan Milne <bgmilne@mandriva.org> 2.1.7-3mdv2007.0
+ Revision: 60148
- ship xdg menu file
- xdg menu
  try a better menu location
- Import gnomesword

* Wed May 24 2006 Jerome Soyer <saispo@mandriva.org> 2.1.7-1mdk
- New release 2.1.7

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.5-3mdk
- Fix BuildRequires

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.5-2mdk
- Fix BuildRequires

* Wed Dec 21 2005 Buchan Milne <bgmilne@mandriva.org> 2.1.5-1mdk
- New release 2.1.5
- spec cleanup

* Wed Sep 14 2005 Buchan Milne <bgmilne@mandriva.org> 2.1.2-2mdk
- rebuild

* Thu Jun 23 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.2-1mdk
- New release 2.1.2

* Thu Aug 26 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.1-1mdk
- 2.1.1
- cleanups
- Menu in More applications/Editors for now

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.0-4mdk
- rebuild for new libstdc++
- patch 1: fix build with new gcc and current gtk+

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.0-3mdk
- rebuild due to symbol mangling changes

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Rebuild with latest gtkhtml/gal

